package com.iamberry.wechat.service.mapper;

import com.iamberry.wechat.core.entity.phone.PhoneCode;

/**
 * Created by liuzhiwei on 2017/12/20.
 */
public interface PhoneCodeMapper {

    /**
     * 获取单条手机验证码信息
     * @param phoneCode
     * @return
     */
    PhoneCode getPhoneCode(PhoneCode phoneCode);

    /**
     * 添加手机验证码信息
     * @param phoneCode
     * @return
     */
    Integer addPhoneCode(PhoneCode phoneCode);

    /**
     * 修改手机验证码
     * @param phoneCode
     * @return
     */
    Integer updatePhoneCode(PhoneCode phoneCode);
}
